none
Sphere Update RRS feed

  • Question

  • Anyway to force for an update? Should I wait the device to be updated automaticall?

    Here is the OTA status:

    C:\Users\mkasap\Documents>azsphere device show-ota-status
    The Azure Sphere Security Service is targeting this device with OS version TP4.2.1
    warn: Your device is running Azure Sphere OS version TP4.2.0. It has not yet started receiving the available update to version TP4.2.1.
    warn: Ensure that Wi-Fi connectivity is configured on the device using 'azsphere device wifi show-status'.
    warn: If Wi-Fi is configured and resetting the device does not start an update, please go to aka.ms/azurespheresupport for further advice and support.
    Command completed successfully in 00:00:02.5712668.

    Thursday, September 27, 2018 6:12 PM

Answers

All replies

  • Hello mkasap,

    If you tried to claim the device, did you got the same error as described here?

    If your device doesn't has 4.2.1 version or later and you are not enrolled on MS Collaborate. Can you please reach out @ AZCommunity@microsoft.com with a link to this MSDN Thread and we will proceed with the steps by email?

    Thank you!
    Friday, September 28, 2018 3:38 PM
    Moderator
  • Thanks Antonio,

      Question is "how to force an update to the device whatever the version is" I found the solution and will reply to original thread.

    Monday, October 1, 2018 2:36 PM
  • To update the device, instructions are written under "Image recovery" section. Sure you need to enroll MS Collaborate. Once you enroll, you will see the image files to update the device and a PDF. In the PDF, there is no specific section like "How to update" etc. but "Image recovery" section describes how to burn image files to the device which will upgrade it to latest version (sure if you use the latest image files folder...)

    Monday, October 1, 2018 2:38 PM
  • Hello mkasap,

    Thank you for adding the details here on how to do it once you have access to MS Collaborate! Let me also add that this process is only necessary if you received a device prior to the public preview. From 4.21 version and later the process follows Over-the-air (OTA) application deployment.

    Let us know if we can help with any other related question?

    Thanks.

    Monday, October 1, 2018 3:22 PM
    Moderator